.nav {
    width: 100%;
    padding: 20px 0px;
    /* background: linear-gradient(to left, rgb(25, 25, 25), var(--secondary)); */
    background: rgb(15,15,15);
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    box-shadow: 0px 0px 10px rgb(0,0,0,0.5);
    z-index: 999;
}

.navbar {
    width: 90%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.navLogoSection a {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
}

.navLogoSection a img {
    height: 35px;
}

.navLogoSection a h1 {
    border-left: 4px solid rgb(60, 60, 60);
    padding-left: 10px;
    letter-spacing: 1px;
    font-weight: 600;
    color: rgb(200, 200, 200);
    font-size: 14px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 0px;
}

.navActionSection {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 20px;
}

.actionStat {
    font-size: 16px;
    font-weight: 600;
    padding: 8px 20px;
    border-radius: 20px;
    background: linear-gradient(to left, rgb(35, 35, 35), rgb(45, 45, 45));
    box-shadow: inset 0px 0px 5px black;
    cursor: default;
    color: rgb(130, 130, 130);
    border: 1px solid rgb(50, 50, 50);
}

.actionStat span {
    color: var(--primary);
}

.connectWalletBtn {
    font-size: 16px;
    font-weight: 600;
    padding: 8px 20px;
    box-shadow: 0px 0px 5px black;
    cursor: pointer;
    background: linear-gradient(to bottom, var(--secondary), var(--primary));
    background: orange;
    border-radius: 20px;
    color: rgb(0, 0, 0);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.connectWalletBtn i {
    font-size: 18px;
}

@media (max-width: 900px) {
    .actionStat {
        display: none;
    }
}

@media (max-width: 650px) {
    .navbar {
        width: 95%;
    }

    .navLogoSection a img {
        height: 24px;
    }

    .navLogoSection a h1 {
        font-size: 10px;
        gap: 0px;
        border-left: 2px solid rgb(60, 60, 60);
    }
    .connectWalletBtn {
        font-size: 12px;
        padding: 8px 10px;
    }
}


.walletWrapper,
.networkWrapper{
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 9999999999;
    background: rgba(20,20,20,0.9);
    backdrop-filter: blur(2px);
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
}
.walletContainer,
.networkContainer{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    background: rgb(10, 10, 10);
    box-shadow: 0px 0px 100px black;
    padding: 25px 28px;
    border-radius: 20px;
    z-index: 999;
    border: 1px solid var(--primary);
    animation: scale-in 0.25s ease-in-out;
}
.networkContainer {
    border: 1px solid orange;
}
.walletContainer h3,
.networkContainer h3{
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    color: gray;
    margin-bottom: 10px;
    font-family: "Josefin Sans";
}
@keyframes scale-in {
    0% {
        opacity: 0.2;
        transform: scale(0.4);
    }
    100% {
        opacity: 1;
        transform: scale(1);
        z-index: 999;
    }
}
.walletList,
.networkList{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
.walletRow,
.networkRow{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 100%;
}
.walletItem,
.networkItem{
    width: 100%;
    min-width: 180px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
    font-size: 10px;
    cursor: pointer;
    background: rgb(25,25,25);
    padding: 8px 8px;
    border-radius: 10px;
    font-weight: 500;
    letter-spacing: 1px;
    padding-right: 14px;
    text-transform: uppercase;
    font-family: "Josefin Sans";
}
.walletItem:hover,
.networkItem:hover{
    transform: scale(1.03);
    box-shadow: 0px 0px 100px black;
}
.walletItem img,
.networkItem img{
    height: 34px;
    width: auto;
    object-fit: cover;
}
.networkItem img {
    height: 45px;
    width: 45px;
    border-radius: 50%;
    background: white;
    padding: 2px;
}
#injected-icon{
    border-radius: 50%;
    object-fit: cover;
    width: 34px;
    margin-right: 2px;
}

@media(max-width:580px) {
    #metamask,
    #injected,
    #trust,
    #enkrypt {
        display: none;
    }
    .walletList, .networkList {
        gap: 5px;
    }
    .walletRow {
        gap: 0;
    }
    .networkRow {
        gap: 5px;
    }
    .networkItem {
        padding: 8px 5px;
        font-size: 10px;
        min-width: auto;
        text-align: center;
        min-height: 90px;
    }
    .networkContainer {
        padding: 15px 8px;
    }
}

.walletDisconnect{
    position: fixed;
    right: 20px;
    top: 55px;
    width: 160px;
    background: rgba(20,20,25,1);
    padding: 20px 15px;
    box-shadow: 0px 0px 50px black;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    flex-direction: column;
    gap: 10px;
    z-index: 9999;
    display: none;
}
.walletDisconnect p{
    width: 100%;
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: black;
    padding: 5px 12px;
    background: var(--primary);
    text-align: center;
    color: white;
    cursor: pointer;
    border-radius: 5px;

}
#close-dis{
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 1px;
    text-transform: uppercase;
    padding: 5px 12px;
    background: rgb(60,60,60);
    color: white;
    width: 100%;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
}

.wcm-container {
    z-index: 999999999!important;
}